Skip to main content
GET
Retrieve one transaction

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Hevn-Account
string | null

The client account to act for, as a cl_… id. Omit it to act as yourself.

Example:

"cl_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"

Path Parameters

transactionId
string
required

Prefixed transaction id

Response

Successful Response

type
string
required

Public transaction type.

status
enum<string>
required

Current transaction lifecycle status.

Available options:
pending,
rfi,
success,
failed,
refunded
isIncome
boolean
required

Whether this transaction increases the selected account's balance.

createdAt
string<date-time>
required

UTC timestamp when the transaction was created.

id
string | null

Stable public identifier for this transaction.

Pattern: ^(?:txn_)?[A-Za-z0-9._:\-]{1,216}$
Example:

"txn_9f2c1ab84d7e4f1fa3c65b0e7d9a2c41"

from
TransactionSideView · object | null

Source side of the transaction.

to
TransactionSideView · object | null

Destination side of the transaction.

fee
TransactionSideView · object | null

Fee side of the transaction, when charged.

account
enum<string> | null

The client's account this transaction moved, e.g. USDC_ARB for USDC on Arbitrum.

Available options:
USDC,
EURC,
RD,
USDC_ARB,
FDIC_USD,
KYC_CARDS
counterparty
string | null

Human-readable counterparty name.

paymentReference
string | null

Reference or memo associated with the transfer.

remitter
string | null

Originator information reported by the payment network.

txHash
string | null

On-chain transaction hash associated with this ledger entry.

tag
string | null

Public transaction classification tag.

hasAttachments
boolean
default:false

Whether supporting documents are attached.

description
string | null

Human-readable description supplied for this transaction.

explorerUrl
string | null

Public blockchain-explorer URL for the transaction.

traceNumber
string | null

Account-transfer or payment-network trace identifier.

attachmentIds
string[]

Supporting document identifiers.